import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listLocation(query) {
  return request({
    url: '/app/location/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getLocation(locationId) {
  return request({
    url: '/app/location/' + locationId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addLocation(data) {
  return request({
    url: '/app/location',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateLocation(data) {
  return request({
    url: '/app/location',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delLocation(locationId) {
  return request({
    url: '/app/location/' + locationId,
    method: 'delete'
  })
}
